- Main Page
- Modules
- Namespaces
- Classes
- Files

# object.h File Reference

`#include <glibmm.h>`
`#include <gst/gstobject.h>`
`#include <glibmm/object.h>`
`#include <libxml++/nodes/node.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::Object
| Gst::Object - Base class for the GStreamer object hierarchy. More...
## Enumerations
enum | Gst::ObjectFlags { Gst::OBJECT_DISPOSING = 1<<0, Gst::OBJECT_FLOATING = 1<<1, Gst::OBJECT_FLAG_LAST = 1<<4 }
| Bitwise operators: `ObjectFlags operator|(ObjectFlags, ObjectFlags)` `ObjectFlags operator&(ObjectFlags, ObjectFlags)` `ObjectFlags operator^(ObjectFlags, ObjectFlags)` `ObjectFlags operator~(ObjectFlags)` `ObjectFlags& operator|=(ObjectFlags&, ObjectFlags)` `ObjectFlags& operator&=(ObjectFlags&, ObjectFlags)` `ObjectFlags& operator^=(ObjectFlags&, ObjectFlags)` More...
## Functions
ObjectFlags | Gst::operator| (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator& (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator^ (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator~ (ObjectFlags flags)
ObjectFlags& | Gst::operator|= (ObjectFlags& lhs, ObjectFlags rhs)
ObjectFlags& | Gst::operator&= (ObjectFlags& lhs, ObjectFlags rhs)
ObjectFlags& | Gst::operator^= (ObjectFlags& lhs, ObjectFlags rhs)